/**
 * 考核等级评定相关接口
 */
import request from '@/api/index'

// 分页列表
export function getListPage(params: object) {
  return request({
    url: '/assessmentLevel/listPage',
    method: 'get',
    params,
  })
}
// 删除
export function delGrade(data: object) {
  return request({
    url: '/assessmentLevel/delete',
    method: 'get',
    params: data,
  })
}
// 新增
export function addGrade(data: object) {
  return request({
    url: '/assessmentLevel/add',
    method: 'post',
    data,
  })
}
// 编辑
export function editGrade(data: object) {
  return request({
    url: '/assessmentLevel/update',
    method: 'post',
    data,
  })
}
// 导出
export function exportGrade(data: object) {
  return request({
    url: '/assessmentLevel/export',
    method: 'get',
    params: data,
    responseType: 'blob',
  })
}

